Index: uspace/drv/usbhub/port_status.h
===================================================================
--- uspace/drv/usbhub/port_status.h	(revision 36cd37839915db036419c6b73b738e4ca58398e4)
+++ uspace/drv/usbhub/port_status.h	(revision e50cd7f06f4f69de26916ce998bb262dbcd8bec0)
@@ -96,5 +96,5 @@
 usb_hub_create_port_status_request(uint16_t port) {
 	usb_device_request_setup_packet_t * result =
-		usb_new(usb_device_request_setup_packet_t);
+		malloc(sizeof(usb_device_request_setup_packet_t));
 	usb_hub_set_port_status_request(result, port);
 	return result;
@@ -158,5 +158,5 @@
 usb_hub_create_enable_port_request(uint16_t port) {
 	usb_device_request_setup_packet_t * result =
-		usb_new(usb_device_request_setup_packet_t);
+		malloc(sizeof(usb_device_request_setup_packet_t));
 	usb_hub_set_enable_port_request(result, port);
 	return result;
@@ -186,5 +186,5 @@
 usb_hub_create_disable_port_request(uint16_t port) {
 	usb_device_request_setup_packet_t * result =
-		usb_new(usb_device_request_setup_packet_t);
+		malloc(sizeof(usb_device_request_setup_packet_t));
 	usb_hub_set_disable_port_request(result, port);
 	return result;
@@ -214,5 +214,5 @@
 usb_hub_create_reset_port_request(uint16_t port) {
 	usb_device_request_setup_packet_t * result =
-		usb_new(usb_device_request_setup_packet_t);
+		malloc(sizeof(usb_device_request_setup_packet_t));
 	usb_hub_set_reset_port_request(result, port);
 	return result;
@@ -256,6 +256,6 @@
  * @return
  */
-static inline bool usb_port_get_bit(usb_port_status_t * status, int idx) {
-	return ((*status)&(1 << idx))!=0;
+static inline bool usb_port_is_status(usb_port_status_t status, int idx) {
+	return (status&(1 << idx))!=0;
 }
 
@@ -267,5 +267,5 @@
  * @param value
  */
-static inline void usb_port_set_bit(
+static inline void usb_port_status_set_bit(
 	usb_port_status_t * status, int idx, bool value) {
 	(*status) = value ?
@@ -281,6 +281,6 @@
  * @return
  */
-static inline bool usb_hub_get_bit(usb_hub_status_t * status, int idx) {
-	return ((*status)&(1 << idx))!=0;
+static inline bool usb_hub_is_status(usb_hub_status_t status, int idx) {
+	return (status&(1 << idx))!=0;
 }
 
@@ -292,5 +292,5 @@
  * @param value
  */
-static inline void usb_hub_set_bit(
+static inline void usb_hub_status_set_bit(
 	usb_hub_status_t * status, int idx, bool value) {
 	(*status) = value ?
@@ -299,4 +299,6 @@
 }
 
+
+#if 0
 /**
  * connection status geter for port status
@@ -425,4 +427,6 @@
 }
 
+#endif
+
 //low speed device attached
 /**
@@ -432,10 +436,10 @@
  * @return true if low speed device is attached
  */
-static inline bool usb_port_low_speed(usb_port_status_t * status) {
-	return usb_port_get_bit(status, 9);
-}
-
-/**
- * set device connected bit in port status
+static inline bool usb_port_low_speed(usb_port_status_t status) {
+	return usb_port_is_status(status, 9);
+}
+
+/**
+ * set low speed device connected bit in port status
  * 
  * @param status
@@ -443,5 +447,5 @@
  */
 static inline void usb_port_set_low_speed(usb_port_status_t * status, bool low_speed) {
-	usb_port_set_bit(status, 9, low_speed);
+	usb_port_status_set_bit(status, 9, low_speed);
 }
 
@@ -453,6 +457,6 @@
  * @return true if high speed device is on port
  */
-static inline bool usb_port_high_speed(usb_port_status_t * status) {
-	return usb_port_get_bit(status, 10);
+static inline bool usb_port_high_speed(usb_port_status_t status) {
+	return usb_port_is_status(status, 10);
 }
 
@@ -464,5 +468,5 @@
  */
 static inline void usb_port_set_high_speed(usb_port_status_t * status, bool high_speed) {
-	usb_port_set_bit(status, 10, high_speed);
+	usb_port_status_set_bit(status, 10, high_speed);
 }
 
@@ -473,5 +477,5 @@
  * @return speed of usb device (for more see usb specification)
  */
-static inline usb_speed_t usb_port_speed(usb_port_status_t * status) {
+static inline usb_speed_t usb_port_speed(usb_port_status_t status) {
 	if (usb_port_low_speed(status))
 		return USB_SPEED_LOW;
@@ -481,5 +485,5 @@
 }
 
-
+#if 0
 //connect change
 /**
@@ -673,4 +677,5 @@
 	usb_hub_set_bit(status, 17, change);
 }
+#endif
 
 
